# Interface PBMPanoPicture

interface PBMPanoPicture {
map: CubeTexture;
mapHistogram: Vector4;
mapSize: number;
matrix: Matrix4;
panoId: `${string}[${number}]`;
zoom: number;
}

- Defined in lib/five/model/materials/pbmMaterial.ts:327

##### Index

### Properties

map
mapHistogram
mapSize
matrix
panoId
zoom

## Properties

### map

map: CubeTexture

全景图

- Defined in lib/five/model/materials/pbmMaterial.ts:331

### mapHistogram

mapHistogram: Vector4

图片直方图 peak mean min max

- Defined in lib/five/model/materials/pbmMaterial.ts:333

### mapSize

mapSize: number

图片尺寸

- Defined in lib/five/model/materials/pbmMaterial.ts:335

### matrix

matrix: Matrix4

全景图变换矩阵 4x4

- Defined in lib/five/model/materials/pbmMaterial.ts:337

### panoId

panoId: `${string}[${number}]`

点位 Id

- Defined in lib/five/model/materials/pbmMaterial.ts:329

### zoom

zoom: number

缩放

- Defined in lib/five/model/materials/pbmMaterial.ts:339